# Interface TimeInfoExportOptionsJson

The default time-related export options for a layer. See https://developers.arcgis.com/web-map-specification/objects/timeInfoExportOptions/.

interface TimeInfoExportOptionsJson {
timeDataCumulative?: boolean;
timeOffset?: number;
timeOffsetUnits?: TemporalUnitJsonType;
useTime?: boolean;
}

#####
Index

### Properties

timeDataCumulative?
timeOffset?
timeOffsetUnits?
useTime?

##
Properties

### `Optional` timeDataCumulative

timeDataCumulative?: boolean

If true, draw all the features from the beginning of time for that data.

### `Optional` timeOffset

timeOffset?: number

Time offset value for this layer so that it can be overlaid on the top of a previous or future time period.

### `Optional` timeOffsetUnits

timeOffsetUnits?: TemporalUnitJsonType

Temporal unit in which the time offset is measured.

### `Optional` useTime

useTime?: boolean

If true, use the time extent specified by the time parameter.